package eu.etaxonomy.taxeditor.bulkeditor.internal;

import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.osgi.framework.BundleContext;

/**
 * The activator class controls the plug-in life cycle
 *
 * @author n.hoffmann
 * @version $Id: $
 */
public class TaxeditorBulkeditorPlugin extends AbstractUIPlugin {

	// The plug-in ID
	/** Constant <code>PLUGIN_ID="eu.etaxonomy.taxeditor.bulkeditor"</code> */
	public static final String PLUGIN_ID = "eu.etaxonomy.taxeditor.bulkeditor";

	// The shared instance
	private static TaxeditorBulkeditorPlugin plugin;
	
	/**
	 * The constructor
	 */
	public TaxeditorBulkeditorPlugin() {
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
	 */
	/** {@inheritDoc} */
	public void start(BundleContext context) throws Exception {
		super.start(context);
		plugin = this;		
		
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
	 */
	/** {@inheritDoc} */
	public void stop(BundleContext context) throws Exception {
		plugin = null;
		super.stop(context);
	}

	/**
	 * Returns the shared instance
	 *
	 * @return the shared instance
	 */
	public static TaxeditorBulkeditorPlugin getDefault() {
		return plugin;
	}
}
